Debian Bug report logs - #575938
ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julian Andres Klode <jak@debian.org>

Date: Tue, 30 Mar 2010 16:21:01 UTC

Owned by: Julian Andres Klode <jak@debian.org>

Severity: wishlist

Fixed in version dh-autoreconf/1

Done: Julian Andres Klode <jak@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jak@debian.org, debian-devel@lists.debian.org, fabian@greffrath.com, wnpp@debian.org:
Bug#575938; Package wnpp. (Tue, 30 Mar 2010 16:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
New Bug report received and forwarded. Copy sent to jak@debian.org, debian-devel@lists.debian.org, fabian@greffrath.com, wnpp@debian.org. (Tue, 30 Mar 2010 16:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Tue, 30 Mar 2010 18:15:26 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Julian Andres Klode <jak@debian.org>

* Package name    : dh-autoreconf
  Version         : 1
  Upstream Author : Julian Andres Klode <jak@debian.org>
* License         : GPL-2
  Programming Lang: Perl
  Description     : debhelper add-on to call autoreconf and clean up after the build

Package: dh-autoreconf
Architecture: all
Depends: ${misc:Depends}, autoconf, automake | automaken, libtool
Description: debhelper add-on to call autoreconf and clean up after the build
 dh-autoreconf provides a debhelper sequence addon named 'autoreconf' and two
 commands, dh_autoreconf and dh_autoreconf_clean.
 .
 The dh_autoreconf command creates a list of the files and their checksums,
 calls autoreconf and then creates a second list for the new files.
 .
 The dh_autoreconf_clean command compares these two lists and removes all
 files which have been added or changed (files may be excluded if needed).

I am using this inside the gnome-main-menu package and it works perfectly,
although a bit slow because it creates md5sums of the whole source tree
two times (I may add an option to use timestamp+size instead for larger
source packages).

(Please note that I'm not subscribed to debian-devel, so please keep the
 bug report or me in To/CC)
-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#575938; Package wnpp. (Tue, 30 Mar 2010 17:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 30 Mar 2010 17:06:06 GMT) Full text and rfc822 format available.

Message #10 received at 575938@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: 575938@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#575938: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Tue, 30 Mar 2010 19:03:08 +0200
[Message part 1 (text/plain, inline)]
On Tue, Mar 30, 2010 at 06:15:26PM +0200, Julian Andres Klode wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Julian Andres Klode <jak@debian.org>
> 
> * Package name    : dh-autoreconf
>   Version         : 1
>   Upstream Author : Julian Andres Klode <jak@debian.org>
> * License         : GPL-2
>   Programming Lang: Perl
>   Description     : debhelper add-on to call autoreconf and clean up after the build
> 
> Package: dh-autoreconf
> Architecture: all
> Depends: ${misc:Depends}, autoconf, automake | automaken, libtool
> Description: debhelper add-on to call autoreconf and clean up after the build
>  dh-autoreconf provides a debhelper sequence addon named 'autoreconf' and two
>  commands, dh_autoreconf and dh_autoreconf_clean.
>  .
>  The dh_autoreconf command creates a list of the files and their checksums,
>  calls autoreconf and then creates a second list for the new files.
>  .
>  The dh_autoreconf_clean command compares these two lists and removes all
>  files which have been added or changed (files may be excluded if needed).
> 
> I am using this inside the gnome-main-menu package and it works perfectly,
> although a bit slow because it creates md5sums of the whole source tree
> two times (I may add an option to use timestamp+size instead for larger
> source packages).
> 

It seems that we could also read the requested versions of automake and
autoconf from debian/control and export them automatically using:

 # Setup the environment for autoreconf to run the correct versions
 sub program {
     my $program=shift;
     my $version="";
     open (CONTROL, 'debian/control') ||
         error("cannot read debian/control: $!\n");

     foreach my $builddeps (join('', <CONTROL>) =~ 
             /^Build-Depends[^:]*:.*\n(?:^[^\w\n].*\n)*/gmi) {
         while ($builddeps =~ /$program([0-9.]+)/g) {
             error("Multiple versions of $program requested ($version, $1)") if
                  ($version ne "");
             $version=$1;
         }
     }
     close CONTROL;
     return $version eq "" ? $program : $program."-".$version;
 }

 $ENV{"AUTOCONF"} = program("autoconf") if not defined $ENV{"AUTOCONF"};
 $ENV{"AUTOHEADER"} = program("autoconf") if not defined $ENV{"AUTOHEADER"};
 $ENV{"ACLOCAL"} = program("automake") if not defined $ENV{"ACLOCAL"};
 $ENV{"AUTOMAKE"} = program("automake") if not defined $ENV{"AUTOMAKE"};

Does this sound like a good idea?

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Andres Klode <jak@debian.org>:
Bug#575938; Package wnpp. (Wed, 31 Mar 2010 06:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Andres Klode <jak@debian.org>. (Wed, 31 Mar 2010 06:12:06 GMT) Full text and rfc822 format available.

Message #15 received at 575938@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Julian Andres Klode <jak@debian.org>, 575938@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#575938: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Wed, 31 Mar 2010 14:07:31 +0800
On Wed, Mar 31, 2010 at 1:03 AM, Julian Andres Klode <jak@debian.org> wrote:

>>   Description     : debhelper add-on to call autoreconf and clean up after the build
>>
>> Package: dh-autoreconf

I'd suggest just putting this into debhelper rather than making it a
separate package.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Andres Klode <jak@debian.org>:
Bug#575938; Package wnpp. (Wed, 31 Mar 2010 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Andres Klode <jak@debian.org>. (Wed, 31 Mar 2010 07:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 575938@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Paul Wise <pabs@debian.org>
Cc: Julian Andres Klode <jak@debian.org>, 575938@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#575938: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Wed, 31 Mar 2010 09:47:56 +0200
[Message part 1 (text/plain, inline)]
On Wed, Mar 31, 2010 at 02:07:31PM +0800, Paul Wise wrote:
> >> Package: dh-autoreconf
> I'd suggest just putting this into debhelper rather than making it a
> separate package.

Seconded. The addons looks quite general, I don't see the point of
having it in a separate package.

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#575938; Package wnpp. (Wed, 31 Mar 2010 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 31 Mar 2010 12:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 575938@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: 575938@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#575938: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Wed, 31 Mar 2010 14:50:07 +0200
[Message part 1 (text/plain, inline)]
On Wed, Mar 31, 2010 at 02:07:31PM +0800, Paul Wise wrote:
> On Wed, Mar 31, 2010 at 1:03 AM, Julian Andres Klode <jak@debian.org> wrote:
> 
> >>   Description     : debhelper add-on to call autoreconf and clean up after the build
> >>
> >> Package: dh-autoreconf
> 
> I'd suggest just putting this into debhelper rather than making it a
> separate package.

Well, Joey wrote the following:

> Regarding including these commands in debhelper, I am uncertian because
> these commands would not be included in the default dh sequences, or the
> example rules files, and that would be a first -- currently every
> command in debhelper is included in the dh sequences and all except dh_auto_*
> are included in the longer example rules files.
> 
> Adding an optional command to debhelper that likely does not do the
> right thing for a fairly large percentage of packages (my experience
> with running autoreconf and having it actually work, in the real world,
> is not exactly stellar) would be a departure.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Andres Klode <jak@debian.org>:
Bug#575938; Package wnpp. (Wed, 31 Mar 2010 13:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Andres Klode <jak@debian.org>. (Wed, 31 Mar 2010 13:27:07 GMT) Full text and rfc822 format available.

Message #30 received at 575938@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Paul Wise <pabs@debian.org>
Cc: Julian Andres Klode <jak@debian.org>, 575938@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#575938: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Wed, 31 Mar 2010 15:13:14 +0200
Paul Wise wrote:
> On Wed, Mar 31, 2010 at 1:03 AM, Julian Andres Klode <jak@debian.org> wrote:
> 
>>>   Description     : debhelper add-on to call autoreconf and clean up after the build
>>>
>>> Package: dh-autoreconf
> 
> I'd suggest just putting this into debhelper rather than making it a
> separate package.
> 

Is there any advantage to have it packaged?

AIUI, you have to add a build-dependency anyway and change at least one
line in the debian/rules to call dh-autoreconf. Well, that line could
simply call autoreconf (or whatever) which even makes debian/rules clearer.

Cheers,

-- 
Mehdi Dogguy مهدي الدڤي
mehdi@{dogguy.org,debian.org}




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#575938; Package wnpp. (Wed, 31 Mar 2010 13:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 31 Mar 2010 13:33:06 GMT) Full text and rfc822 format available.

Message #35 received at 575938@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: 575938@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#575938: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Wed, 31 Mar 2010 15:27:35 +0200
[Message part 1 (text/plain, inline)]
On Wed, Mar 31, 2010 at 03:13:14PM +0200, Mehdi Dogguy wrote:
> Paul Wise wrote:
> > On Wed, Mar 31, 2010 at 1:03 AM, Julian Andres Klode <jak@debian.org> wrote:
> > 
> >>>   Description     : debhelper add-on to call autoreconf and clean up after the build
> >>>
> >>> Package: dh-autoreconf
> > 
> > I'd suggest just putting this into debhelper rather than making it a
> > separate package.
> > 
> 
> Is there any advantage to have it packaged?
> 
> AIUI, you have to add a build-dependency anyway and change at least one
> line in the debian/rules to call dh-autoreconf. Well, that line could
> simply call autoreconf (or whatever) which even makes debian/rules clearer.

The difference is that dh_autoreconf calls autoreconf and stores a list
of the changes and the changed files are then removed in the clean
target. If you just call autoreconf, the changes end up in the diff;
and this is not what we want.

BTW; The code is now available at
  http://git.debian.org/?p=collab-maint/dh-autoreconf.git
and also features a CDBS rule for those maintainers still
using it and a --mode parameter with a 'timesize' mode to
use size+timestamp instead of an md5sum to detect changes.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Andres Klode <jak@debian.org>:
Bug#575938; Package wnpp. (Wed, 31 Mar 2010 13:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Drung <bdrung@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Andres Klode <jak@debian.org>. (Wed, 31 Mar 2010 13:57:07 GMT) Full text and rfc822 format available.

Message #40 received at 575938@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@ubuntu.com>
To: 575938@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#575938: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Wed, 31 Mar 2010 15:51:41 +0200
[Message part 1 (text/plain, inline)]
Am Mittwoch, den 31.03.2010, 15:45 +0200 schrieb Mehdi Dogguy:
> Julian Andres Klode wrote:
> > On Wed, Mar 31, 2010 at 03:13:14PM +0200, Mehdi Dogguy wrote:
> >> Paul Wise wrote:
> >>> On Wed, Mar 31, 2010 at 1:03 AM, Julian Andres Klode <jak@debian.org> wrote:
> >>>
> >>>>>   Description     : debhelper add-on to call autoreconf and clean up after the build
> >>>>>
> >>>>> Package: dh-autoreconf
> >>> I'd suggest just putting this into debhelper rather than making it a
> >>> separate package.
> >>>
> >> Is there any advantage to have it packaged?
> >>
> >> AIUI, you have to add a build-dependency anyway and change at least one
> >> line in the debian/rules to call dh-autoreconf. Well, that line could
> >> simply call autoreconf (or whatever) which even makes debian/rules clearer.
> > 
> > The difference is that dh_autoreconf calls autoreconf and stores a list
> > of the changes and the changed files are then removed in the clean
> > target. If you just call autoreconf, the changes end up in the diff;
> > and this is not what we want.
> > 
> 
> I do use autoreconf and I don't have these changes in my diff.
> 
> IMO, a backup/restore script (where you specify the list of files to
> backup) may be more useful. It would be called before build and when cleaning.

I prefer the removal over the restoring the old files. You remove .o
files on clean, so why not remove the other auto-generated files on
clean?

-- 
Benjamin Drung
Ubuntu Developer (www.ubuntu.com) | Debian Maintainer (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Andres Klode <jak@debian.org>:
Bug#575938; Package wnpp. (Wed, 31 Mar 2010 13:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Andres Klode <jak@debian.org>. (Wed, 31 Mar 2010 13:57:08 GMT) Full text and rfc822 format available.

Message #45 received at 575938@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Julian Andres Klode <jak@debian.org>, 575938@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#575938: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Wed, 31 Mar 2010 15:45:14 +0200
Julian Andres Klode wrote:
> On Wed, Mar 31, 2010 at 03:13:14PM +0200, Mehdi Dogguy wrote:
>> Paul Wise wrote:
>>> On Wed, Mar 31, 2010 at 1:03 AM, Julian Andres Klode <jak@debian.org> wrote:
>>>
>>>>>   Description     : debhelper add-on to call autoreconf and clean up after the build
>>>>>
>>>>> Package: dh-autoreconf
>>> I'd suggest just putting this into debhelper rather than making it a
>>> separate package.
>>>
>> Is there any advantage to have it packaged?
>>
>> AIUI, you have to add a build-dependency anyway and change at least one
>> line in the debian/rules to call dh-autoreconf. Well, that line could
>> simply call autoreconf (or whatever) which even makes debian/rules clearer.
> 
> The difference is that dh_autoreconf calls autoreconf and stores a list
> of the changes and the changed files are then removed in the clean
> target. If you just call autoreconf, the changes end up in the diff;
> and this is not what we want.
> 

I do use autoreconf and I don't have these changes in my diff.

IMO, a backup/restore script (where you specify the list of files to
backup) may be more useful. It would be called before build and when cleaning.

Cheers,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#575938; Package wnpp. (Wed, 31 Mar 2010 13:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 31 Mar 2010 13:57:10 GMT) Full text and rfc822 format available.

Message #50 received at 575938@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 575938@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#575938: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Wed, 31 Mar 2010 15:54:21 +0200
[Message part 1 (text/plain, inline)]
On Wed, Mar 31, 2010 at 03:45:14PM +0200, Mehdi Dogguy wrote:
> Julian Andres Klode wrote:
> > On Wed, Mar 31, 2010 at 03:13:14PM +0200, Mehdi Dogguy wrote:
> >> Paul Wise wrote:
> >>> On Wed, Mar 31, 2010 at 1:03 AM, Julian Andres Klode <jak@debian.org> wrote:
> >>>
> >>>>>   Description     : debhelper add-on to call autoreconf and clean up after the build
> >>>>>
> >>>>> Package: dh-autoreconf
> >>> I'd suggest just putting this into debhelper rather than making it a
> >>> separate package.
> >>>
> >> Is there any advantage to have it packaged?
> >>
> >> AIUI, you have to add a build-dependency anyway and change at least one
> >> line in the debian/rules to call dh-autoreconf. Well, that line could
> >> simply call autoreconf (or whatever) which even makes debian/rules clearer.
> > 
> > The difference is that dh_autoreconf calls autoreconf and stores a list
> > of the changes and the changed files are then removed in the clean
> > target. If you just call autoreconf, the changes end up in the diff;
> > and this is not what we want.
> > 
> 
> I do use autoreconf and I don't have these changes in my diff.
A 'debuild; debuild' should have a different result than a single
debuild then. If you build from a clean directory, the first build
will contain no changes. But after the build, the directory is not
clean anymore and debian/rules clean does not do enough to keep the
changes from appearing in the source package if you build again.

> 
> IMO, a backup/restore script (where you specify the list of files to
> backup) may be more useful. It would be called before build and when cleaning.
I don't think so, it requires you to keep track of the files
and you may miss some.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Andres Klode <jak@debian.org>:
Bug#575938; Package wnpp. (Wed, 31 Mar 2010 14:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Andres Klode <jak@debian.org>. (Wed, 31 Mar 2010 14:42:05 GMT) Full text and rfc822 format available.

Message #55 received at 575938@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Julian Andres Klode <jak@debian.org>, Mehdi Dogguy <mehdi@dogguy.org>, 575938@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#575938: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Wed, 31 Mar 2010 16:28:41 +0200
On Wed, 31 Mar 2010, Julian Andres Klode wrote:
> > IMO, a backup/restore script (where you specify the list of files to
> > backup) may be more useful. It would be called before build and when cleaning.
> I don't think so, it requires you to keep track of the files
> and you may miss some.

OTOH, such a dh_backup could be integrated in debhelper since it would be
a no-op unless you provide a list of files to backup/restore (and hence
could be integrated in the default sequence without creating problems).

Cheers,
-- 
Raphaël Hertzog

Like what I do? Sponsor me: http://ouaza.com/wp/2010/01/05/5-years-of-freexian/
My Debian goals: http://ouaza.com/wp/2010/01/09/debian-related-goals-for-2010/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Andres Klode <jak@debian.org>:
Bug#575938; Package wnpp. (Wed, 31 Mar 2010 14:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Andres Klode <jak@debian.org>. (Wed, 31 Mar 2010 14:51:10 GMT) Full text and rfc822 format available.

Message #60 received at 575938@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Julian Andres Klode <jak@debian.org>, 575938@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#575938: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Wed, 31 Mar 2010 16:46:00 +0200
Julian Andres Klode wrote:
> A 'debuild; debuild' should have a different result than a single
> debuild then. If you build from a clean directory, the first build
> will contain no changes. But after the build, the directory is not
> clean anymore and debian/rules clean does not do enough to keep the
> changes from appearing in the source package if you build again.
> 

I should have done that earlier (but didn't see the git repo, only now). I
had a look at dh-autoreconf's code and the difference between what I do
and what your script does is that I manually specify a list of files to
"monitor" while you monitor all files.

IMO, dh-autoreconf may be not specific to autoreconf but all same kind of
tools and thus, can be enhanced by making, for example, the command to
execute an argument which could be the command "true" (and keep
"autoreconf" as a default) because, sometimes, it may be needed to make
"debian/autoreconf.after" a bit later than just after executing
"autoreconf". Hopefully, we can do that by overriding the file.

If you have these options, dh-autoreconf becomes nothing more than a call
to autoreconf if we have dh_backup (name proposed by buxy in the same
thread). dh_backup can be integrated to debhelper and all that remains to
be done is a call to "autoreconf" (depending on the implementation of
dh_backup).

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#575938; Package wnpp. (Wed, 31 Mar 2010 15:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 31 Mar 2010 15:51:10 GMT) Full text and rfc822 format available.

Message #65 received at 575938@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: 575938@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#575938: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Wed, 31 Mar 2010 17:45:21 +0200
[Message part 1 (text/plain, inline)]
On Wed, Mar 31, 2010 at 04:46:00PM +0200, Mehdi Dogguy wrote:
> Julian Andres Klode wrote:
> > A 'debuild; debuild' should have a different result than a single
> > debuild then. If you build from a clean directory, the first build
> > will contain no changes. But after the build, the directory is not
> > clean anymore and debian/rules clean does not do enough to keep the
> > changes from appearing in the source package if you build again.
> > 
> 
> I should have done that earlier (but didn't see the git repo, only now). I
> had a look at dh-autoreconf's code and the difference between what I do
> and what your script does is that I manually specify a list of files to
> "monitor" while you monitor all files.
> 
> IMO, dh-autoreconf may be not specific to autoreconf but all same kind of
> tools and thus, can be enhanced by making, for example, the command to
> execute an argument which could be the command "true" (and keep
> "autoreconf" as a default) because, sometimes, it may be needed to make
> "debian/autoreconf.after" a bit later than just after executing
> "autoreconf". Hopefully, we can do that by overriding the file.

The idea is that I want to keep debian/autoreconf.{before,after}
only related to the autoreconf run.


> If you have these options, dh-autoreconf becomes nothing more than a call
> to autoreconf if we have dh_backup (name proposed by buxy in the same
> thread). dh_backup can be integrated to debhelper and all that remains to
> be done is a call to "autoreconf" (depending on the implementation of
> dh_backup).
A backup and restore approach is a completely different and more
complicated (in I/O sense) way than just deleting the files; e.g.
for a single file:

  dh_backup:
   1. mkdir()  - Create the backup directory
   2. read()   - Read the original source
   3. write()  - Write the backup file
   4. rename() - Rename backup to source

  dh_autoreconf:
   1. read()   - Create md5sum before (unneeded if --mode=timesize)
   2. read()   - Create md5sum after (unneded if --mode=timesize)
   3. unlink() - Unlink the changed file

Furthermore, the second read() in dh_autoreconf could also be in
the cache already.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Andres Klode <jak@debian.org>:
Bug#575938; Package wnpp. (Wed, 31 Mar 2010 16:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Andres Klode <jak@debian.org>. (Wed, 31 Mar 2010 16:27:05 GMT) Full text and rfc822 format available.

Message #70 received at 575938@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Julian Andres Klode <jak@debian.org>, 575938@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#575938: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Wed, 31 Mar 2010 18:24:57 +0200
Julian Andres Klode wrote:
> A backup and restore approach is a completely different and more
> complicated (in I/O sense) way than just deleting the files; e.g.
> for a single file:
> 

… except that they do not operate on the same set of files. dh_backup's
list would be a lot smaller than dh_autoreconf's one. Besides, dh_backup
(or whatever its name is) could also delete files upon request ("dh_backup
--remove" would then be dh_autoreconf minus "autoreconf").

>   dh_backup:
>    1. mkdir()  - Create the backup directory

you can use then "debian/" directory here (provided you add a suffix to
backup's name). And, dh_autoreconf also creates a directory for excluded
files (if any). So, I don't think that this part is really relevant for
the comparison.

I think that all arguments in favour or against have been mentioned. I
don't have anything to add. If it really makes you happy to have this
package, then so be it :)

Cheers,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Julian Andres Klode <jak@debian.org>:
Bug#575938; Package wnpp. (Wed, 31 Mar 2010 20:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Julian Andres Klode <jak@debian.org>. (Wed, 31 Mar 2010 20:06:07 GMT) Full text and rfc822 format available.

Message #75 received at 575938@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 575938@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#575938: ITP: dh-autoreconf -- debhelper add-on to call autoreconf and clean up after the build
Date: Wed, 31 Mar 2010 21:55:26 +0200
Julian Andres Klode wrote:
> > Is there any advantage to have it packaged?
> > 
> > AIUI, you have to add a build-dependency anyway and change at least one
> > line in the debian/rules to call dh-autoreconf. Well, that line could
> > simply call autoreconf (or whatever) which even makes debian/rules clearer.
> 
> The difference is that dh_autoreconf calls autoreconf and stores a list
> of the changes and the changed files are then removed in the clean
> target. If you just call autoreconf, the changes end up in the diff;
> and this is not what we want.

Indeed.

I recently just implemented a similar but less sophisticated feature
for one of my packages by more or less copying away all relevant files
and restoring them in the clean target.

I'd really like to see such a feature in Debian!

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 17 Apr 2010 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Wed, 05 May 2010 13:51:18 GMT) Full text and rfc822 format available.

Notification sent to Julian Andres Klode <jak@debian.org>:
Bug acknowledged by developer. (Wed, 05 May 2010 13:51:18 GMT) Full text and rfc822 format available.

Message #82 received at 575938-close@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: 575938-close@bugs.debian.org
Subject: Bug#575938: fixed in dh-autoreconf 1
Date: Wed, 05 May 2010 13:47:22 +0000
Source: dh-autoreconf
Source-Version: 1

We believe that the bug you reported is fixed in the latest version of
dh-autoreconf, which is due to be installed in the Debian FTP archive:

dh-autoreconf_1.dsc
  to main/d/dh-autoreconf/dh-autoreconf_1.dsc
dh-autoreconf_1.tar.gz
  to main/d/dh-autoreconf/dh-autoreconf_1.tar.gz
dh-autoreconf_1_all.deb
  to main/d/dh-autoreconf/dh-autoreconf_1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575938@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Andres Klode <jak@debian.org> (supplier of updated dh-autoreconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 17 Apr 2010 15:18:49 +0200
Source: dh-autoreconf
Binary: dh-autoreconf
Architecture: source all
Version: 1
Distribution: unstable
Urgency: low
Maintainer: Julian Andres Klode <jak@debian.org>
Changed-By: Julian Andres Klode <jak@debian.org>
Description: 
 dh-autoreconf - debhelper add-on to call autoreconf and clean up after the build
Closes: 575938
Changes: 
 dh-autoreconf (1) unstable; urgency=low
 .
   * Initial release (Closes: #575938).
Checksums-Sha1: 
 982264556ce2f8f8f8337e8241f9e5ccca027fe1 857 dh-autoreconf_1.dsc
 d5728bec2482d5021037f24e624520ba23ecea41 3824 dh-autoreconf_1.tar.gz
 dcd1d2c28bd49805b3d131e7d968f2ce6b999a89 11378 dh-autoreconf_1_all.deb
Checksums-Sha256: 
 a37c4f03c72f091284a7397e85d29bd5bf0fd8f9e8b1818a1d3928fa90b02a4b 857 dh-autoreconf_1.dsc
 c20635a0399184a4572b9222dc587bffc5efe19e72721bf560dc59988b9d606d 3824 dh-autoreconf_1.tar.gz
 b10f654a1c0ec42aedca348aa8fa3f4aefa4c1cb169001637cfa101e55287d63 11378 dh-autoreconf_1_all.deb
Files: 
 e7ef95ee0edecb5061c01f30ff526041 857 devel optional dh-autoreconf_1.dsc
 3adddffc4fa81ed06096c4fbf71b4b23 3824 devel optional dh-autoreconf_1.tar.gz
 9a672132e0be066f80817c367021cd72 11378 devel optional dh-autoreconf_1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAkvJtVgACgkQrCpf/gCCPsIROwCeKIEimttNlRl2WYppUr/eY0VX
np0An16n/FKeHcjkFHiEI8y6vAKuwCTn
=mAR9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Jun 2010 07:35:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:04:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.